Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi
Interface RwiReference

All Known Subinterfaces:
  RwiDiagramReference, RwiLinkReference, RwiMemberReference, RwiNodeReference

public interface RwiReference
extends RwiPropertyMap

`RwiReference` is a generic type of a reference. References are used in diagrams to represent elements of the model. Every element can have many references to it from different diagrams.

A reference can be set to be visible or invisible within the diagram via `setVisible` method.

An imported reference can be deleted using the delete method. (Imported references are described in the RwiDiagram interface). It's very important to understand that references are only pointers to elements. Deleting an imported reference from a diagram doesn't remove the referenced element from the model, but from this diagram only.

The `RwiNodeReference`, `RwiMemberReference`, `RwiDiagramReference` and the `RwiLinkReference` interfaces extend `RwiReference` and represent references to the nodes, members, diagrams and links respectively.

Author:
  TogetherSoft
See Also: RwiNodeReference, RwiMemberReference, RwiDiagramReference, RwiLinkReference

Method Summary
`boolean` | `canDelete()` Checks whether it is possible to remove an imported reference to model's element from its diagram.
`void` | `delete()` Removes an imported reference to model's element from its diagram.
`RwiDiagram` | `getContainingDiagram()` Returns a diagram this reference belongs to.
`RwiElement` | `getElement()` Returns an element for this reference.
`RwiPositions` | `getPositions()`
`RwiLinkReferenceEnumeration` | `outgoingLinkReferences()` Returns an enumeration of references to outgoing links.

Methods inherited from interface com.togethersoft.openapi.rwi.RwiPropertyMap
`addProperty, canAddProperty, canSetProperty, canSetProperty, getProperty, hasProperty, isPropertyReadable, isPropertyWritable, properties, properties, setProperty, setProperty`

Method Detail

### canDelete

    public boolean canDelete()

  Checks whether it is possible to remove an imported reference to model's element from its diagram. Note that removing a reference doesn't delete the referenced element from the model. Non-imported references can not be deleted.
  Parameters:
    element - the element to which a reference is being removed
  Returns: `true` if it is possible to remove a reference, `false` otherwise
  See Also:
    RwiElement.canDelete(), RwiDiagram.canAddReference(com.togethersoft.openapi.rwi.RwiElement)

### delete

    public void delete()

  Removes an imported reference to model's element from its diagram. Note that this doesn't delete this element from the model. Non-imported references can not be deleted.
  Parameters:
    element - the element to which a reference is being removed
  See Also:
    RwiElement.delete(), RwiDiagram.addReference(com.togethersoft.openapi.rwi.RwiElement)

### getContainingDiagram

    public RwiDiagram getContainingDiagram()

  Returns a diagram this reference belongs to.
  Returns: a diagram this reference belongs to

### getElement

    public RwiElement getElement()

  Returns an element for this reference.
  Returns: an element for this reference

### getPositions

    public RwiPositions getPositions()

### outgoingLinkReferences

    public RwiLinkReferenceEnumeration outgoingLinkReferences()

  Returns an enumeration of references to outgoing links.
  Returns: an enumeration of references to outgoing links
  See Also:
    RwiLinkReference

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD